<< schtrig | FOSSEE_Signal_Processing_Toolbox | seqperiod >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > schurrc

# schurrc

Schur algorithm for computing reflection coefficients and prediction error variance.

### Syntax

    [k, e] = schurrc(R)

### Parameters

R:

  Autocorrelation vector or matrix. If `R` is a matrix, the function computes the reflection coefficients

k:

  Reflection coefficients (matrix). Each column corresponds to the reflection coefficients for the respective column of `R`.

e:

  Prediction error variance (vector). Each row corresponds to the prediction error variance for the respective column of `R`.

### Description

The `schurrc` function computes the reflection coefficients and prediction error variance using Schur's algorithm. If the input `R` is a matrix, the function processes each column independently.

### Examples

    // Compute reflection coefficients and prediction error variance:
    m = linspace(1, 100);
    r = xcorr(m(1:5), 'unbiased') // Autocorrelation vector
    [k, e] = schurrc(r(5:$))

Report an issue
<< schtrig | FOSSEE_Signal_Processing_Toolbox | seqperiod >>